# Uses of Interface
org.eclipse.draw2d.FreeformFigure

Packages that use FreeformFigure
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of FreeformFigure in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement FreeformFigure
Modifier and Type
Class
Description
`class`
`ConnectionLayer`
Layer designed specifically to handle the presence of connections.
`class`
`FreeformLayer`
A Layer that can extend in all 4 directions.
`class`
`FreeformLayeredPane`
A LayeredPane that contains `FreeformLayers`.
`class`
`ScalableFreeformLayeredPane`
Methods in org.eclipse.draw2d that return FreeformFigure
Modifier and Type
Method
Description
`protected FreeformFigure`
AutoscaleFreeformViewport.`getFreeformFigure()`
`protected FreeformFigure`
FreeformViewport.`getFreeformFigure()`
Returns the `FreeformFigure` that is the contents of this viewport or `null`, if the contents is not set or not a `FreeformFigure`.